org.appng.appngizer.controller

## Class Jaxb2Marshaller

- java.lang.Object
- - org.springframework.oxm.jaxb.Jaxb2Marshaller
  - - org.appng.appngizer.controller.Jaxb2Marshaller

- All Implemented Interfaces:
    com.sun.xml.bind.marshaller.CharacterEscapeHandler, org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.InitializingBean, org.springframework.oxm.GenericMarshaller, org.springframework.oxm.GenericUnmarshaller, org.springframework.oxm.Marshaller, org.springframework.oxm.mime.MimeMarshaller, org.springframework.oxm.mime.MimeUnmarshaller, org.springframework.oxm.Unmarshaller

      public class Jaxb2Marshaller
      extends org.springframework.oxm.jaxb.Jaxb2Marshaller
      implements com.sun.xml.bind.marshaller.CharacterEscapeHandler

- - ### Field Summary

    - ### Fields inherited from class org.springframework.oxm.jaxb.Jaxb2Marshaller

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Jaxb2Marshaller()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `escape(char[] buf, int start, int len, boolean isAttValue, Writer out)`
    `protected void` | `initJaxbMarshaller(Marshaller marshaller)`
    `boolean` | `supports(Class<?> clazz)`

    - ### Methods inherited from class org.springframework.oxm.jaxb.Jaxb2Marshaller

      `afterPropertiesSet, convertJaxbException, createMarshaller, createUnmarshaller, getClassesToBeBound, getContextPath, getJaxbContext, getPackagesToScan, initJaxbUnmarshaller, isProcessExternalEntities, isSupportDtd, marshal, marshal, setAdapters, setBeanClassLoader, setCheckForXmlRootElement, setClassesToBeBound, setContextPath, setContextPaths, setJaxbContextProperties, setLazyInit, setMappedClass, setMarshallerListener, setMarshallerProperties, setMtomEnabled, setPackagesToScan, setProcessExternalEntities, setSchema, setSchemaLanguage, setSchemaResourceResolver, setSchemas, setSupportDtd, setSupportJaxbElementClass, setUnmarshallerListener, setUnmarshallerProperties, setValidationEventHandler, supports, unmarshal, unmarshal, unmarshalStaxSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Jaxb2Marshaller

          public Jaxb2Marshaller()

  - ### Method Detail

    - #### supports

          public boolean supports(Class<?> clazz)

      Specified by:
        `supports` in interface `org.springframework.oxm.Marshaller`
      Specified by:
        `supports` in interface `org.springframework.oxm.Unmarshaller`
      Overrides:
        `supports` in class `org.springframework.oxm.jaxb.Jaxb2Marshaller`

    - #### initJaxbMarshaller

          protected void initJaxbMarshaller(Marshaller marshaller)
                                     throws JAXBException

      Overrides:
        `initJaxbMarshaller` in class `org.springframework.oxm.jaxb.Jaxb2Marshaller`
      Throws:
        `JAXBException`

    - #### escape

          public void escape(char[] buf,
                             int start,
                             int len,
                             boolean isAttValue,
                             Writer out)
                      throws IOException

      Specified by:
        `escape` in interface `com.sun.xml.bind.marshaller.CharacterEscapeHandler`
      Throws:
        `IOException`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.